std::chrono::time_point< _Clock, _Dur >(3cxx)

NAME
std::chrono::time_point< _Clock, _Dur > - time_point

SYNOPSIS

#include <chrono>

  Public Types

typedef _Clock clock
typedef _Dur duration
typedef duration::period period
typedef duration::rep rep

  Public Member Functions

constexpr time_point (const duration &__dur)
template<typename _Dur2 , typename = _Require<is_convertible<_Dur2, _Dur>>> constexpr time_point (const time_point< clock, _Dur2 > &__t)
_GLIBCXX17_CONSTEXPR time_point & operator+= (const duration &__dur)
_GLIBCXX17_CONSTEXPR time_point & operator-= (const duration &__dur)
constexpr duration time_since_epoch () const

  Static Public Member Functions

static constexpr time_point max () noexcept
static constexpr time_point min () noexcept

Detailed Description

  template<typename _Clock, typename _Dur>
struct std::chrono::time_point< _Clock, _Dur >"time_point

Definition at line 626 of file chrono.

Member Typedef Documentation

  template<typename _Clock , typename _Dur > typedef _Clock std::chrono::time_point< _Clock, _Dur >::clock

Definition at line 628 of file chrono.

  template<typename _Clock , typename _Dur > typedef _Dur std::chrono::time_point< _Clock, _Dur >::duration

Definition at line 629 of file chrono.

  template<typename _Clock , typename _Dur > typedef duration::period std::chrono::time_point< _Clock, _Dur >::period

Definition at line 631 of file chrono.

  template<typename _Clock , typename _Dur > typedef duration::rep std::chrono::time_point< _Clock, _Dur >::rep

Definition at line 630 of file chrono.

Constructor & Destructor Documentation

  template<typename _Clock , typename _Dur > constexpr std::chrono::time_point< _Clock, _Dur >::time_point () [inline], [constexpr]

Definition at line 633 of file chrono.

  template<typename _Clock , typename _Dur > constexpr std::chrono::time_point< _Clock, _Dur >::time_point (const duration & __dur) [inline], [explicit], [constexpr]

Definition at line 636 of file chrono.

  template<typename _Clock , typename _Dur > template<typename _Dur2 , typename = _Require<is_convertible<_Dur2, _Dur>>> constexpr std::chrono::time_point< _Clock, _Dur >::time_point (const time_point< clock, _Dur2 > & __t) [inline], [constexpr]

Definition at line 643 of file chrono.

Member Function Documentation

  template<typename _Clock , typename _Dur > static constexpr time_point std::chrono::time_point< _Clock, _Dur >::max () [inline], [static], [constexpr], [noexcept]

Definition at line 673 of file chrono.

  template<typename _Clock , typename _Dur > static constexpr time_point std::chrono::time_point< _Clock, _Dur >::min () [inline], [static], [constexpr], [noexcept]

Definition at line 669 of file chrono.

  template<typename _Clock , typename _Dur > _GLIBCXX17_CONSTEXPR time_point & std::chrono::time_point< _Clock, _Dur >::operator+= (const duration & __dur) [inline]

Definition at line 654 of file chrono.

  template<typename _Clock , typename _Dur > _GLIBCXX17_CONSTEXPR time_point & std::chrono::time_point< _Clock, _Dur >::operator-= (const duration & __dur) [inline]

Definition at line 661 of file chrono.

  template<typename _Clock , typename _Dur > constexpr duration std::chrono::time_point< _Clock, _Dur >::time_since_epoch () const [inline], [constexpr]

Definition at line 649 of file chrono.

Author

Generated automatically by Doxygen for libstdc++ from the source code.